Description

If the locale is not set to en_US, the configuration files do not load. | can reproduce this on my mac by:

export LC_ALL=fi_FI
ant run-only

If modules.txt contains the kepler suite, the menu bar does not load; if it contains wrp, then | get the following exception:

[run] Jjava.lang.NullPointerException

[run] at org.kepler.configuration.ConfigurationManager.getProperty (ConfigurationManager.
java:308)

[run] at org.kepler.module.tagging.Initialize.addTagManagerMenultem(Initialize. java:94)

[run] at org.kepler.module.tagging.Initialize.initializeModule (Initialize.java:56)

[run] at org.kepler.Kepler._initializeModules (Kepler.java:460)

[run] at org.kepler.Kepler.initialize (Kepler.java:347)

[run] at org.kepler.Kepler.parseArgsAndRun (Kepler.java:233)

[run] at org.kepler.Kepler.main (Kepler.java:170)
History

#1 - 02/09/2010 12:06 PM - Chad Berkley

added a method to use a default locale tagged file if the currently set locale is not available.

#2 - 02/09/2010 01:55 PM - Daniel Crawl
fixed in r23033. Thanks Chad!

#3 - 03/27/2013 02:28 PM - Redmine Admin
Original Bugzilla ID was 4782
